angular.module('filters', [])

// http://stackoverflow.com/a/19850450
.filter('objectByKeyValFilter', function () {
    return function (input, filterKey, filterVal) {
        var filteredInput = {};
        angular.forEach(input, function (value, key) {
            if (value[filterKey] && value[filterKey] !== filterVal) {
                filteredInput[key] = value;
            }
        });
        return filteredInput;
    };
});